Bug 73083 - firefly patchset for pretty CJK fonts display/print
Summary: firefly patchset for pretty CJK fonts display/print
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-24 15:20 UTC by Clive Lin
Modified: 2004-11-21 22:04 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Clive Lin freebsd_committer 2004-10-24 15:20:25 UTC
	Firefly patchset is mainly used to make CJK truetype fonts
looks prettier. Various enhancements like bold, italic, readability,
embedded bitmap font... do help CJK X desktop environment a lot.
Of course, there's no perfect solution, thus there're reasons why
this patchset does not go into freetype.org nor gtk.org mainstream.
The patchset is developed on linux over one year and is widely used
among linux users by patching manually. Hamigua <hamigua at cuc.cn>
did a great job by fitting those patches into freebsd ports
framework. The result is providing a WITH_CJK knob which affects
freetype2, fontconfig, libXft, pango. Patch submitted in this PR
will _NOT_ change original behaviors of these ports, but instead it
provides chance for FreeBSD CJK users to improve usability of their
desktops painlessly.

	Speaking as FreeBSD ports committer, I'm volunteered to
keep in touch with Hamigua <hamigua at cuc.cn>, so that this great
feature will not be unmaintained and eventually forsaken.

	Welcome for comments.

Fix: 

fetch http://people.freebsd.org/~clive/dist/firefly_cjkpatch.diff.gz
	gunzip firefly_cjkpatch.diff.gz
	cd /usr/ports
	patch -p0 < firefly_cjkpatch.diff
	echo "WITH_CJK=yes" >> /etc/make.conf
	portupgrade -f freetype2 fontconfig libXft pango
Comment 1 Clive Lin freebsd_committer 2004-10-24 15:23:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainers.
Comment 2 Joe Marcus Clarke freebsd_committer 2004-10-24 18:32:18 UTC
State Changed
From-To: open->suspended

Pango is about to be updated to 1.6.x following the release of 5.3.  After 
that, this patchset will most likely have to be modified.  Once that is done, 
it can be committed. 

I would also like to know what plans, if any, exist for pushing these patches 
upstream?  It would seem like the freetype, fontconfig, and pango people 
would be interested in making CJK fonts as nice as possible.
Comment 3 Clive Lin freebsd_committer 2004-10-25 07:57:45 UTC
On Sun, Oct 24, 2004 at 05:33:48PM +0000, Joe Marcus Clarke wrote:
> Pango is about to be updated to 1.6.x following the release of 5.3.  After
> that, this patchset will most likely have to be modified.  Once that is done,
> it can be committed.

    Sure, I'm aware of this, and I will keep eyes on it ;)

> I would also like to know what plans, if any, exist for pushing these patches
> upstream?  It would seem like the freetype, fontconfig, and pango people
> would be interested in making CJK fonts as nice as possible.

    Kicking these patchsets into mainstreams of freetype, fontconfig,
pango, and those not mentioned here like openoffice, mozilla, is
underway. There're patches accepted, and patches rejected. Once
acceptable solutions are found, they will be integrated gradually. The
key point is, patches must make both non-CJK and CJK people
happy. Dirty hacks due to incomplete API or simply lack of
completeness in the patches, are reasons why they're still maintained
elsewhere. Ports is a great vehicle to deliver current works and
attract more developers, as long as the patchset is well maintained,
which I promised to do.
Comment 4 clive 2004-11-09 15:08:38 UTC
On Sun, Oct 24, 2004 at 05:33:48PM +0000, Joe Marcus Clarke wrote:
> http://www.freebsd.org/cgi/query-pr.cgi?pr=73083

Hi,

The corresponding patchset for pango 1.6 is at:
http://people.freebsd.org/~clive/dist/firefly_cjkpatch_postGnome2_8_1.diff.gz

ports affected are:

print/freetype2
x11-fonts/fontconfig
x11-fonts/libXft
x11-toolkits/pango

files added:
print/freetype2/files/cjk-patch-include_freetype_config_ftoption.h
print/freetype2/files/cjk-patch-src_autohint_ahglobal.c
print/freetype2/files/cjk-patch-src_autohint_ahglobal.h
print/freetype2/files/cjk-patch-src_autohint_ahglyph.c
print/freetype2/files/cjk-patch-src_autohint_ahhint.c
print/freetype2/files/cjk-patch-src_autohint_ahtypes.h
print/freetype2/files/cjk-patch-src_autohint_autohint.c
print/freetype2/files/cjk-patch-src_raster_ftraster.c
x11-fonts/fontconfig/files/cjk-patch-fontconfig_fontconfig.h
x11-fonts/fontconfig/files/cjk-patch-fonts.conf.in
x11-fonts/fontconfig/files/cjk-patch-src_fccfg.c
x11-fonts/fontconfig/files/cjk-patch-src_fcdefault.c
x11-fonts/fontconfig/files/cjk-patch-src_fcdir.c
x11-fonts/fontconfig/files/cjk-patch-src_fcfreetype.c
x11-fonts/fontconfig/files/cjk-patch-src_fcinit.h
x11-fonts/fontconfig/files/cjk-patch-src_fclang.c
x11-fonts/fontconfig/files/cjk-patch-src_fclist.c
x11-fonts/fontconfig/files/cjk-patch-src_fcname.c
x11-fonts/fontconfig/files/cjk-patch-src_fcxml.c
x11-fonts/libXft/files/cjk-patch-xftfreetype.c
x11-fonts/libXft/files/cjk-patch-xftglyphs.c
x11-fonts/libXft/files/cjk-patch-xftint.h
x11-toolkits/pango/files/cjk-patch-pango_pango-context.c
x11-toolkits/pango/files/cjk-patch-pango_pangofc-fontmap.c

Patchset will only take effect while WITH_CJK is defined.
Comment 5 Clive Lin freebsd_committer 2004-11-18 01:33:32 UTC
On Tue, Nov 09, 2004 at 10:36:57AM -0500, Joe Marcus Clarke wrote:
>http://www.freebsd.org/cgi/query-pr.cgi?pr=73083

    Here's the updated patch, which doesn't dump patches into files/
directory.

http://people.freebsd.org/~clive/dist/firefly_cjkpatch.diff.gz

    Only several lines are added to Makefile and distinfo.
Comment 6 Joe Marcus Clarke 2004-11-18 05:58:17 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Clive Lin wrote:
| On Tue, Nov 09, 2004 at 10:36:57AM -0500, Joe Marcus Clarke wrote:
|
|>http://www.freebsd.org/cgi/query-pr.cgi?pr=73083
|
|
|     Here's the updated patch, which doesn't dump patches into files/
| directory.
|
| http://people.freebsd.org/~clive/dist/firefly_cjkpatch.diff.gz
|
|     Only several lines are added to Makefile and distinfo.

Cool.  I'll commit these this weekend when I get back from my trip.  Thanks.

Joe

|


- --
PGP Key : http://www.marcuscom.com/pgp.asc
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.6 (Darwin)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFBnDn5b2iPiv4Uz4cRAoIaAJ4sE5GurdzOT1n9ZUsI2wj9ApefZwCfYYqY
ShR8xHknJGURJuyJJO5l9cg=
=PPMM
-----END PGP SIGNATURE-----
Comment 7 hamigua 2004-11-18 21:20:07 UTC
It's a great job,thanks!
With these firefly's new patches for fontconfig,pango's patch isn't
required(also qt33).
Here's ports: www/mozilla, www/firefox patch. fix cjk font familyname in
mozilla and firefox;fix the link underline's locality.
http://download.linuxsir.org/firefly-cjk-patchset/firefly-and-underline_mozilla_cjk.patch
Comment 8 Joe Marcus Clarke freebsd_committer 2004-11-21 22:04:20 UTC
State Changed
From-To: suspended->closed

Committed, thanks!